Subject: [apps-discuss] URN names for RFC authors; fragment identifiers another URI lawn to keep off

From: Larry Masinter <[email-masked]>
Date: Mon, 28 Apr 2014 17:03:15 +0000

(moved to apps-discuss, bcc to rfc-interest):

In an otherwise serious suggestion about the RFC editor maintaining
a list of RFC authors short-names and aliases, I added a postscript:

> If you really want an identifier, update RFC2648 to add:
>
 > urn:ietf:author:<ascii name>

to which Russ replied:
> I think it is an interesting idea to use a URN for RFC authors, but I do not think
> that the URN should be urn:ietf:author...  There are many RFCs that are not
> part of the IETF Stream.

But  urn:ietf:rfc:NNNN is already used for non-IETF-stream RFCs. Best think of the
"ietf" URN namespace as used for names the IETF uses, not just names IETF defines.

Alternative:

If fragment identifiers could vary by scheme (which I'm afraid is necessary), THEN
if URN fragments were allowed to be defined by their authority (which I think would make sense), THEN
IETF could decide to define:

    urn:ietf:rfc:2324#author/0
    urn:ietf:rfc:2324#author/L.Masinter
    
as names i.e., the author could be a 'fragment' of abstraction of the (urn-named) RFC.

NOTE: Fragment Identifier space is another  URI lawn people should get off -- see
http://www.w3.org/TR/2012/WD-fragid-best-practices-20120726/

Larry
--
http://larry.masinter.net